<!--
	This is a template stylesheet which should be used as a guide when
	using WebSEAL's HTTP Transformation engine. This sample is relevant to
	a response only.
-->
<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="1.0">

	<!-- Firstly, strip any space elements -->
	<xsl:strip-space elements="*" />

	<!--
		Perform a match on the root of the document. Output the required
		HTTPResponseChange elements and then process templates.
	-->
	<xsl:template match="/">
		<HTTPResponseChange>
			<xsl:apply-templates />
		</HTTPResponseChange>
	</xsl:template>

	<!--
		Match on the Version. Any Version processing should happen within this
		template.
	-->
	<xsl:template match="//HTTPResponse/ResponseLine/Version">
		<!-- Process the Version here. Output should be in the form
			<Version>VERSION</Version>
		if required. -->
	</xsl:template>

	<!--
		Match on the StatusCode. Any StatusCode processing should happen
		within this template.
	-->
	<xsl:template match="//HTTPResponse/ResponseLine/StatusCode">
		<!-- Process the StatusCode here. Output should be in the form
			<StatusCode>XXX</StatusCode>
		if required. -->
	</xsl:template>

	<!--
		Match on the Reason. Any Reason processing should happen within this
		template.
	-->
	<xsl:template match="//HTTPResponse/ResponseLine/Reason">
		<!-- Process the Reason here. Output should be in the form
			<Reason>REASON</Reason>
		if required. --> 
	</xsl:template>

	<!--
		Match on the Headers. Any Header processing should happen within this
		template.
	-->
	<xsl:template match="//HTTPResponse/Headers">
		<!--  Perform Header processing here. Output should be in the form
			<Header name="NAME" action="add|update|remove">VALUE</Header>
		if required. -->
	</xsl:template>
	
	<!--
		Match on the Cookies. Any Header processing should happen within this
		template.
	-->
	<xsl:template match="//HTTPResponse/Cookies">
		<!--  Perform Cookies processing here. Output should be in the form
		        <Cookie name="NAME" action="add|update|remove">
		                <ATTRIBUTE>VALUE</ATTRIBUTE>
		        </Cookie>
		if required. -->
	</xsl:template>
</xsl:stylesheet>
